
<h1>ANOTACIONES </h1>
<h3>Autowired </h3>
<p>Tiene el mismo efecto que la configuracion via XML</p>
<p>Busca un bean y lo inyecta en la depencia</p>
<p>Se realiza un autocableado byType </p>
<h4>*****Donde lo podemos usar******</h4>
<p>Lo podemos utilizar en un metodo setter</p>

```java
    @Autowired
    public void setPeliculas(PeliculasServicio peliculasServicio){....}
```

<p>Definicion en la propiedad</p>

```java
    @Autowired
    private PeliculaServicio peliculaServicio;
```

<p>En el constructor</p>

```java
    @Autowired
    public PeliculaServicio(PeliculaServicio){....}
```

<p>Ejemplo en el xml </p>

```xml
    <bean id="peliculaDaoMemory"
          class="com.primerEjemplo.PeliculaImplements"
          init-method="cargarDatos" />

    <bean id="peliculaService" class="com.primerEjemplo.Modelo.PeliculaServicio" autowire="byType"/>
```

<p>Ejemplo del main</p>

```java
//		Necesitamos el bean de servicios para printar por pantalla la logica
		PeliculaServicio peliculaService = appContext.getBean(PeliculaServicio.class);
        peliculaService.peliculasPorGenero("Drama").forEach(System.out::println);
        appContext.close();

```





   